List Domains
List all domains for the organization with cursor-based pagination.
GET
/domainsResend Compatibility: Compatible
Requires a full_access API key.
Query Parameters
limitnumberMaximum number of results to return. Min 1, max 100.
afterstringCursor for forward pagination.
beforestringCursor for backward pagination.
Response Fields
objectstringAlways "list".
has_morebooleanWhether there are more results available.
dataarrayArray of domain objects (without DNS records).
curl -X GET 'https://api.postflare.app/domains' \
-H 'Authorization: Bearer re_xxxxxxxxx'import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.domains.list();Response
{
"object": "list",
"has_more": false,
"data": [
{
"id": "d91cd9bd-1176-453e-8fc1-35364d380206",
"name": "example.com",
"status": "verified",
"created_at": "2026-01-01T00:00:00.000Z"
}
]
}